GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "15082691-7831-4d5c-bcff-eae726e4ab34",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "5170e416-1293-4fd7-ae26-0b3ebdece7e3",
"local_ip": "sample string 7",
"lock_id": "7ff0c1ac-e4d1-459b-aba2-70d6f3ad9879",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "f16a567f-0d3b-4483-82f4-9e646dfdf053",
"rights": [
{
"code": "sample string 1",
"id": "7ad7ad36-32b7-49ec-9971-82241ff55aed"
},
{
"code": "sample string 1",
"id": "7ad7ad36-32b7-49ec-9971-82241ff55aed"
}
],
"site_id": "733b7680-a4fe-48e6-9b3c-e3e152560ae2",
"zone_id": "685eaefb-8f0e-481b-8a83-31b083632c2c"
},
{
"active": true,
"cleanroom_id": "15082691-7831-4d5c-bcff-eae726e4ab34",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "5170e416-1293-4fd7-ae26-0b3ebdece7e3",
"local_ip": "sample string 7",
"lock_id": "7ff0c1ac-e4d1-459b-aba2-70d6f3ad9879",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "f16a567f-0d3b-4483-82f4-9e646dfdf053",
"rights": [
{
"code": "sample string 1",
"id": "7ad7ad36-32b7-49ec-9971-82241ff55aed"
},
{
"code": "sample string 1",
"id": "7ad7ad36-32b7-49ec-9971-82241ff55aed"
}
],
"site_id": "733b7680-a4fe-48e6-9b3c-e3e152560ae2",
"zone_id": "685eaefb-8f0e-481b-8a83-31b083632c2c"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>15082691-7831-4d5c-bcff-eae726e4ab34</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>5170e416-1293-4fd7-ae26-0b3ebdece7e3</id>
<local_ip>sample string 7</local_ip>
<lock_id>7ff0c1ac-e4d1-459b-aba2-70d6f3ad9879</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>f16a567f-0d3b-4483-82f4-9e646dfdf053</pc_type_id>
<rights>
<right>
<ID>7ad7ad36-32b7-49ec-9971-82241ff55aed</ID>
<code>sample string 1</code>
</right>
<right>
<ID>7ad7ad36-32b7-49ec-9971-82241ff55aed</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>733b7680-a4fe-48e6-9b3c-e3e152560ae2</site_id>
<zone_id>685eaefb-8f0e-481b-8a83-31b083632c2c</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>15082691-7831-4d5c-bcff-eae726e4ab34</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>5170e416-1293-4fd7-ae26-0b3ebdece7e3</id>
<local_ip>sample string 7</local_ip>
<lock_id>7ff0c1ac-e4d1-459b-aba2-70d6f3ad9879</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>f16a567f-0d3b-4483-82f4-9e646dfdf053</pc_type_id>
<rights>
<right>
<ID>7ad7ad36-32b7-49ec-9971-82241ff55aed</ID>
<code>sample string 1</code>
</right>
<right>
<ID>7ad7ad36-32b7-49ec-9971-82241ff55aed</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>733b7680-a4fe-48e6-9b3c-e3e152560ae2</site_id>
<zone_id>685eaefb-8f0e-481b-8a83-31b083632c2c</zone_id>
</pc>
</ArrayOfpc>